Subject: RE: [rohc] ROHC Charter Update Proposal

From: "Ghyslain Pelletier \(LU/EAB\)" <[email-masked]>
Date: Wed, 23 Aug 2006 13:21:55 +0200

Lars-Erik, Magnus,

I have reviewed the proposal for the updated charter.

I am concerned about the proposal to add the following milestone:

> Feb 2007   ROHC encapsulation profile(s) for IPHC/CRTP/eCRTP
>            submitted to IESG for publication as Proposed Standard.

I cannot see that we've had a WG consensus on doing this, either on the
mailing list or at the last meeting.

At the MTL meeting, this was one out of a number of proposal on how to
go forward with respect to HC over IPsec work and wrt supporting a
solution for eCRTP etc.

The absence of a wg consensus and the need for further discussions seems
to be confirmed by the minutes of meeting summarized and submitted by
Lars-Erik to the list:

> * HC over IPsec Security Associations (Emre Ertekin)

[...]

> There was clearly no conclusion (or consensus) on these
> issues, the discussions will have to continue on the list.
> 
> Draft: draft-ietf-rohc-hcoipsec-02.txt

One thing I fail to understand too is that the discussions at the
meeting were clearly presenting a number of alternatives, whereas one of
those was the one above, while the charter was suggested prior to the
MTL meeting. Does this mean that this is something that is generally
desirable to do, other than for HC over IPsec? In any case, as explained
in an earlier mail to the RoHC list, I fail to motivate doing this and I
am right now not too enthusiasted by this proposal.

Therefore I would gladly welcome more discussions on this on the list,
before feeling comfortable about this one making it to the charter. My
proposal is that this item be removed from the charter update until we
know that this is something that we want to do.

/Ghyslain

Lars-Erik Jonsson (LU/EAB) wrote:
> ROHCers,
> 
> Me and Magnus (the AD) have put together a charter update
> proposal (including the new work items already brought to the
> WG, which we have agreed to address). Please review, comments
> can be sent either to the list or offline to me.
> 
> BR
> /L-E
> 
> 
> Description of Working Group:
> *****************************
> 
> The Robust Header Compression (ROHC) Working Group was formed
> to develop new header compression protocols, designed to suit
> today's and future target link technologies. Most
> specifically, the ROHC protocols were to take into account
> typical needs presented by various wireless link
> technologies, and perform well for cellular links built using
> technologies such as WCDMA, EDGE, and CDMA-2000.
> Coping with e.g. high loss rates and long roundtrip times
> have thus been in focus in the protocol development.
> 
> The WG has specified a common compression protocol platform,
> the ROHC framework, along with a number of compression
> protocols (profiles). Most focus has been on compression of
> the Real-time Transport Protocol (RTP) headers, but profiles
> have also been specified for compression of UDP, ESP,
> IP-only, UDP-Lite, and TCP headers. The WG has further
> produced a ROHC link integration specification for PPP, an
> optimized RTP compression scheme for "0-byte compression", a
> ROHC MIB, as well as various informational documents related
> to ROHC header compression and/or header compression in general.
> 
> In addition to the work on header compression, the ROHC WG
> has also developed the SigComp (Signaling Compression)
> protocol for end-to-end compression of text-based signaling
> protocol messages.
> 
> The working group maintains connections with other
> standardization organizations developing cellular technology
> for IP, such as 3GPP and 3GPP-2, to ensure that its output
> fulfils their requirements and will be put to good use.
> 
> The current aims of the working group are:
> 
> - to carry out a re-work of the ROHC framework and profiles
>   specifications, hereafter referred to as the ROHCv2 project. The
>   purpose of the ROHCv2 project is to generate a separate framework
>   specification as well as a set of revised compression profiles.
>   One specific goal with the ROHCv2 profiles is to improve
>   tolerance to packet reordering between compressor and decompressor.
> 
> - to update and correct the original profile specifications through
>   publication of the "Corrections and Clarifications to   RFC
> 3095"-document. 
> 
> - to finalize the ROHC profile work for TCP header compression.
> 
> - to develop and/or document proper protocol solutions to apply  
> ROHC over IPsec tunnels. 
> 
> - to finalize the "SigComp implementer's guide" and "SigComp for  
> SIP" documents. 
> 
> The longer term goal of the working group is to advance all
> its specifications to Draft Standard status (with an
> exception for the original profiles being revised as part of
> the ROHCv2 activity).
> 
> 
> Goals and Milestones:
> *********************
> 
> Done       Problem analysis ROHC-over-channels-that-can-reorder-
>            packets submitted to IESG for publication as           
> Informational. Done       I-Ds of ROHC IP/UDP/RTP bis, framework and
> profiles            separated. Aug 2006   RFC 3095 Implementer's
>            Guide submitted to IESG for publication as Proposed
> Standard. 
> Sep 2006   IP/TCP compression scheme submitted to IESG for
>            publication as Proposed Standard.
> Nov 2006   ROHC framework submitted to IESG for publication as       
> Proposed Standard. Nov 2006   SigComp for SIP submitted to IESG for
> publication as            Proposed Standard. Dec 2006   Revised ROHC
>            IPUDP//RTP profiles submitted to IESG for publication as
> Proposed Standard. 
> Dec 2006   SigComp Implementer's Guide submitted to IESG for
>            publication as Informational.
> Jan 2007   RObust Header Compression Protocol Number Registration
>            submitted to IESG for publication as Proposed Standard.
> Feb 2007   ROHC encapsulation profile(s) for IPHC/CRTP/eCRTP
>            submitted to IESG for publication as Proposed Standard.
> Mar 2007   IKE/IPsec extensions for HC-session Parameter
>            Negotiation submitted to IESG for publication as          
> Proposed Standard. Mar 2007   Header Compression over IPsec
>            (HCoIPsec) submitted to IESG for publication as
> Informational 
> Jun 2007   Recharter of WG to develop additional profiles, if
>            needed, or possible additional compression schemes.
>            Consideration of concluding the working group.
> 
> 
> 
> --------------------------------------
> Lars-Erik Jonsson
> IETF ROHC WG Chair
> E-mail: [email-masked]
> Phone: +46 8 404 29 61
> 
> My opinions are my personal opinions and should not be
> considered as the opinions of my employer, if not explicitly stated.
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson \(LU/EAB\)" <[email-masked]>
Date: Wed, 23 Aug 2006 14:45:23 +0200

> One thing I fail to understand too is that the discussions at
> the meeting were clearly presenting a number of alternatives,
> whereas one of those was the one above, while the charter was
> suggested prior to the MTL meeting. Does this mean that this
> is something that is generally desirable to do, other than
> for HC over IPsec? In any case, as explained in an earlier
> mail to the RoHC list, I fail to motivate doing this and I am
> right now not too enthusiasted by this proposal.

When we were to realize this work item in terms of documents
we considered what we saw as current view of the solution, as
discussed on the list in April. The milestones list was also
sent to the mail list for review before it was sent to the IESG.

However, I tend to agree with you that this is still an open
question, and it may be a good idea to exclude this document
from the milestones list for now, and then we can add it if
this solution becomes reality. The list of milestones can be
updated when the technical solutions evolve and changes the
document set needed for a chartered work item.

Personally, I believe this solution is acceptable if we were
to support eCRTP in HCoverIPsec, better than the alternatives.
However, I agree with you that the whole idea of supporting
anything more than ROHC is questionable, hard to justify with
technical arguments.

Magnus, do you agree with removing this milestone until we
know better how the solution will be composed?
Comments from others?

By the way, the charter update has been approved by the IESG
(with some text adjustments), it will be posted when Magnus
gets back from vacation.

BR
/L-E

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 31 Aug 2006 19:24:28 +0200

> know better how the solution will be composed?

Yes, if there is consensus in the WG that this is not needed for the HC 
over IPsec solution then I am fine with removing that milestone.

Cheers

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]